PolyhedraRenderer
Date: 2019-10-22

org.jmol.renderspecial

## Class PolyhedraRenderer

- java.lang.Object
- - org.jmol.render.ShapeRenderer
  - - org.jmol.renderspecial.PolyhedraRenderer

-     public class PolyhedraRenderer
      extends ShapeRenderer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private javajs.util.BS` | `bsSelected`
    `private int` | `drawEdges`
    `private boolean` | `edgesOnly`
    `private boolean` | `frontOnly`
    `private boolean` | `isAll`
    `private MeshSurface` | `meshSurface`
    `private javajs.util.P3[]` | `screens3f`
    `private javajs.util.P3i` | `scrVib`
    `private boolean` | `showNumbers`
    `private boolean` | `vibs`

    - ### Fields inherited from class org.jmol.render.ShapeRenderer

      `colix, exportType, g3d, isExport, mad, ms, myVisibilityFlag, shape, shapeID, tm, vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PolyhedraRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `drawEdges(short normix, javajs.util.P3 a, javajs.util.P3 b, javajs.util.P3 c, int edgeMask)`
    `protected boolean` | `render()`
    `private boolean` | `render1(Polyhedron p)`

    - ### Methods inherited from class org.jmol.render.ShapeRenderer

      `initRenderer, isVisibleForMe, renderShape, setup, setViewerG3dShapeID`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### drawEdges

          private int drawEdges

    - #### isAll

          private boolean isAll

    - #### frontOnly

          private boolean frontOnly

    - #### edgesOnly

          private boolean edgesOnly

    - #### screens3f

          private javajs.util.P3[] screens3f

    - #### scrVib

          private javajs.util.P3i scrVib

    - #### vibs

          private boolean vibs

    - #### bsSelected

          private javajs.util.BS bsSelected

    - #### showNumbers

          private boolean showNumbers

    - #### meshSurface

          private MeshSurface meshSurface

  - ### Constructor Detail

    - #### PolyhedraRenderer

          public PolyhedraRenderer()

  - ### Method Detail

    - #### render

          protected boolean render()

      Specified by:
        `render` in class `ShapeRenderer`

    - #### render1

          private boolean render1(Polyhedron p)

    - #### drawEdges

          private void drawEdges(short normix,
                                 javajs.util.P3 a,
                                 javajs.util.P3 b,
                                 javajs.util.P3 c,
                                 int edgeMask)